nxt.http

## Class API

- java.lang.Object
- - nxt.http.API

-     public final class API
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `API.XFrameOptionsFilter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `adminPassword`
    `static boolean` | `apiServerCORS`
    `static int` | `apiServerIdleTimeout`
    `static boolean` | `isOpenAPI`
    `static int` | `openAPIPort`
    `static int` | `openAPISSLPort`
    `static int` | `TESTNET_API_PORT`
    `static int` | `TESTNET_API_SSLPORT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkPassword(javax.servlet.http.HttpServletRequest req)`
    `static java.util.List<APIEnum>` | `getDisabledApis()`
    `static java.util.List<APITag>` | `getDisabledApiTags()`
    `static java.net.URI` | `getServerRootUri()`
    `static java.net.URI` | `getWelcomePageUri()`
    `static void` | `init()`
    `static void` | `shutdown()`
    `static void` | `verifyPassword(javax.servlet.http.HttpServletRequest req)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TESTNET_API_PORT

          public static final int TESTNET_API_PORT

      See Also:
        Constant Field Values

    - #### TESTNET_API_SSLPORT

          public static final int TESTNET_API_SSLPORT

      See Also:
        Constant Field Values

    - #### openAPIPort

          public static final int openAPIPort

    - #### openAPISSLPort

          public static final int openAPISSLPort

    - #### isOpenAPI

          public static final boolean isOpenAPI

    - #### adminPassword

          public static final java.lang.String adminPassword

    - #### apiServerIdleTimeout

          public static final int apiServerIdleTimeout

    - #### apiServerCORS

          public static final boolean apiServerCORS

  - ### Method Detail

    - #### init

          public static void init()

    - #### shutdown

          public static void shutdown()

    - #### getDisabledApis

          public static java.util.List<APIEnum> getDisabledApis()

    - #### getDisabledApiTags

          public static java.util.List<APITag> getDisabledApiTags()

    - #### verifyPassword

          public static void verifyPassword(javax.servlet.http.HttpServletRequest req)
                                     throws ParameterException

      Throws:
        `ParameterException`

    - #### checkPassword

          public static boolean checkPassword(javax.servlet.http.HttpServletRequest req)

    - #### getWelcomePageUri

          public static java.net.URI getWelcomePageUri()

    - #### getServerRootUri

          public static java.net.URI getServerRootUri()